package com.cit.sellfan.ui.view;

import com.cit.sellfan.business.VariabiliGlobali;
import com.cit.sellfan.ui.template.jGraficoXYWeb;
import com.vaadin.event.MouseEvents.ClickEvent;
import com.vaadin.server.StreamResource;
import com.vaadin.ui.Alignment;
import com.vaadin.ui.Button;
import com.xdev.res.ApplicationResource;
import com.xdev.ui.XdevButton;
import com.xdev.ui.XdevImage;
import com.xdev.ui.XdevLabel;
import com.xdev.ui.XdevVerticalLayout;
import com.xdev.ui.XdevView;

public class DebugView extends XdevView {
	private VariabiliGlobali l_VG;
	public jGraficoXYWeb grafico = new jGraficoXYWeb();

	/**
	 * 
	 */
	public DebugView() {
		super();
		this.initUI();
		this.image.addClickListener(event -> this.image_ClickListener(event));
	}

	public void setVariabiliGlobali(final VariabiliGlobali variabiliGlobali) {
		this.l_VG = variabiliGlobali;
	}
	
	private void image_ClickListener(final ClickEvent event) {
		this.label.setValue(Integer.toString(event.getClientX())+" : "+Integer.toString(event.getClientY()));
		this.label2.setValue(Integer.toString(event.getRelativeX())+" : "+Integer.toString(event.getRelativeY()));
		this.label3.setValue(Float.toString(this.image.getWidth())+" : "+Float.toString(this.image.getHeight()));
	}
	/**
	 * Event handler delegate method for the {@link XdevButton} {@link #button}.
	 *
	 * @see Button.ClickListener#buttonClick(Button.ClickEvent)
	 * @eventHandlerDelegate Do NOT delete, used by UI designer!
	 */
	private void button_buttonClick(final Button.ClickEvent event) {
		this.grafico.buildSample();
		final StreamResource graficosource = new StreamResource(this.grafico, "myimage" + Integer.toString(this.l_VG.progressivoGenerico++) + ".png");
		graficosource.setCacheTime(100);
		this.image.setSource(graficosource);
	}

	/*
	 * WARNING: Do NOT edit!<br>The content of this method is always regenerated by
	 * the UI designer.
	 */
	// <generated-code name="initUI">
	private void initUI() {
		this.verticalLayout = new XdevVerticalLayout();
		this.image = new XdevImage();
		this.label = new XdevLabel();
		this.label2 = new XdevLabel();
		this.button = new XdevButton();
		this.label3 = new XdevLabel();
	
		this.image.setSource(new ApplicationResource(this.getClass(), "WebContent/resources/img/lingue64.png"));
		this.label.setValue("Label");
		this.label2.setValue("Label");
		this.button.setCaption("Button");
		this.label3.setValue("Label");
	
		this.image.setWidth(-1, Unit.PIXELS);
		this.image.setHeight(100, Unit.PERCENTAGE);
		this.verticalLayout.addComponent(this.image);
		this.verticalLayout.setComponentAlignment(this.image, Alignment.MIDDLE_CENTER);
		this.verticalLayout.setExpandRatio(this.image, 10.0F);
		this.label.setSizeUndefined();
		this.verticalLayout.addComponent(this.label);
		this.verticalLayout.setComponentAlignment(this.label, Alignment.MIDDLE_CENTER);
		this.label2.setSizeUndefined();
		this.verticalLayout.addComponent(this.label2);
		this.verticalLayout.setComponentAlignment(this.label2, Alignment.MIDDLE_CENTER);
		this.button.setSizeUndefined();
		this.verticalLayout.addComponent(this.button);
		this.verticalLayout.setComponentAlignment(this.button, Alignment.MIDDLE_CENTER);
		this.label3.setSizeUndefined();
		this.verticalLayout.addComponent(this.label3);
		this.verticalLayout.setComponentAlignment(this.label3, Alignment.MIDDLE_CENTER);
		this.verticalLayout.setSizeFull();
		this.setContent(this.verticalLayout);
		this.setSizeFull();
	
		this.button.addClickListener(event -> this.button_buttonClick(event));
	} // </generated-code>

	// <generated-code name="variables">
	private XdevLabel label, label2, label3;
	private XdevButton button;
	private XdevImage image;
	private XdevVerticalLayout verticalLayout;
	// </generated-code>

}
